View Issue Details

IDProjectCategoryView StatusLast Update
0004058SketcherBugpublic2020-06-05 17:23
Reporteruwestoehr Assigned ToopenBrain  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.18 
Fixed in Version0.19 
Summary0004058: wrong indication of autoconstraint status in task dialog and View tab
DescriptionThe task dialog does not indicate the current state of autoconstraints for a sketch:
- assure you have in the sketcher preferences the option "Auto constraints" enabled
- create a new sketch
- select the sketch in the tree view
- change to the View tab and set there "Autoconstraints" to "false"
- open the sketch
result: the task dialog tells you that "Auto constraints" is on
- close the sketch
result: in the View tab "Autoconstraints" is correctly still "false"

However, in this case the task dialog is right but not in the View tab:
- assure you have in the sketcher preferences the option "Auto constraints" disabled
- create a new sketch
- select the sketch in the tree view
- change to the View tab and set there "Autoconstraints" to "true"
- open the sketch
result: the task dialog tells you that "Auto constraints" is off and this is the case, so the View tab settings was ignored
- close the sketch
result: in the View tab "Autoconstraints" is now "false"
Additional InformationForum thread: https://forum.freecadweb.org/viewtopic.php?f=3&t=37740&p=321233#p321233

OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.17331 (Git)
Build type: Release
Branch: master
Hash: cf18161dc26267c259ac21675cb9637263bf4152
Python version: 3.6.6
Qt version: 5.6.2
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: German/Germany (de_DE)
Tagssketcher
FreeCAD Information

Activities

abdullah

2020-05-28 13:45

manager   ~0014431

git commit 811a44643cb8bba2e4c710b0c6d565ad1ec1c61b

guest

2020-06-05 17:23

viewer   ~0014479

Fix committed to master branch.

Related Changesets

FreeCAD: master 811a4464

2020-04-11 14:33:38

0penBrain


Committer: abdullahtahiriyo Details Diff
[Sketcher] Local settings are correctly restored ; fixes 0003952,0004058 Affected Issues
0003952, 0004058
mod - src/Mod/Sketcher/Gui/CommandCreateGeo.cpp Diff File
mod - src/Mod/Sketcher/Gui/TaskSketcherGeneral.cpp Diff File
mod - src/Mod/Sketcher/Gui/TaskSketcherGeneral.h Diff File
mod - src/Mod/Sketcher/Gui/ViewProviderSketch.cpp Diff File
mod - src/Mod/Sketcher/Gui/ViewProviderSketch.h Diff File

Issue History

Date Modified Username Field Change
2019-07-16 11:30 uwestoehr New Issue
2019-07-16 11:30 uwestoehr Tag Attached: sketcher
2019-07-16 17:18 uwestoehr Description Updated View Revisions
2019-07-16 17:29 uwestoehr Summary wrong indication of autoconstraint status in task dialog => wrong indication of autoconstraint status in task dialog and View tab
2019-07-16 17:29 uwestoehr Description Updated View Revisions
2020-04-13 14:18 openBrain Assigned To => openBrain
2020-04-13 14:18 openBrain Status new => assigned
2020-05-28 13:45 abdullah Status assigned => closed
2020-05-28 13:45 abdullah Resolution open => fixed
2020-05-28 13:45 abdullah Fixed in Version => 0.19
2020-05-28 13:45 abdullah Note Added: 0014431
2020-06-05 17:23 Changeset attached => FreeCAD master 811a4464
2020-06-05 17:23 guest Note Added: 0014479